Loading...
Searching...
No Matches
RDKit::Descriptors::DoubleCubicLatticeVolume Class Reference

`#include <DCLV.h>`

## Public Member Functions

| DoubleCubicLatticeVolume (const ROMol &mol, bool isProtein=false, bool includeLigand=true, double probeRadius=1.2, int depth=4, int dotDensity=0)
double | getSurfaceArea ()
double | getVolume ()
double | getVDWVolume ()
double | getCompactness ()
double | getPackingDensity ()

## Detailed Description

Definition at line 29 of file DCLV.h.

## Constructor & Destructor Documentation

## DoubleCubicLatticeVolume()

RDKit::Descriptors::DoubleCubicLatticeVolume::DoubleCubicLatticeVolume | ( | const ROMol & | mol,
|  | bool | isProtein = false,
|  | bool | includeLigand = true,
|  | double | probeRadius = 1.2,
|  | int | depth = 4,
|  | int | dotDensity = 0 )

Parameters

  mol | input molecule or protein
  isProtein | flag to calculate burried surface area of a protein ligand complex [default=false, free ligand]
  includeLigand | flag to trigger inclusion of bound ligand in surface area and volume calculations where molecule is a protein [default=true]
  probeRadius | radius of the sphere representing the probe solvent atom
  depth | controls the number of dots per atom
  dotDensity | controls density of dots per atom

## Member Function Documentation

## getCompactness()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getCompactness | ( |  | ) |

inline

Returns
  Compactness of the protein

Definition at line 73 of file DCLV.h.

## getPackingDensity()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getPackingDensity | ( |  | ) |

inline

Returns
  Packing Density of the protein

Definition at line 78 of file DCLV.h.

## getSurfaceArea()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getSurfaceArea | ( |  | ) |

inline

Class for calculation of the Shrake and Rupley surface area and volume using the Double Cubic Lattice Method.

Frank Eisenhaber, Philip Lijnzaad, Patrick Argos, Chris Sander and Michael Scharf, "The Double Cubic Lattice Method: Efficient Approaches to Numerical Integration of Surface Area and Volume and to Dot Surface Contouring of Molecular Assemblies", Journal of Computational Chemistry, Vol. 16, No. 3, pp. 273-284, 1995.

Returns
  Solvent Accessible Surface Area

Definition at line 59 of file DCLV.h.

## getVDWVolume()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getVDWVolume | ( |  | ) |

inline

Returns
  van der Waals Volume

Definition at line 69 of file DCLV.h.

## getVolume()

double RDKit::Descriptors::DoubleCubicLatticeVolume::getVolume | ( |  | ) |

inline

Returns
  Volume bound by probe sphere

Definition at line 64 of file DCLV.h.

The documentation for this class was generated from the following file:

- DCLV.h